Subject: Maltese Sweets (3) Collection
From: [email-masked] (lambchopdelite)
Date: 19 Apr 2000 22:22:22 -0600
Newsgroups: rec.food.recipes

Lenten Sweet
Easter Cake
Qaghaq tal-ghasel ( Treacle Rings )

>From: "RikkU DikkU" <[email-masked]>
>Subject: Maltese Traditional Food
>Can anybody from the island of Malta submit some typical Maltese dish
>recipes ?
>I have students staying during summer and they always love trying
>traditional meals, but I honestly don't know a lot of them. Thanks"

Lenten Sweet

KWAREZIMAL This is a traditional Maltese sweet to eat during Lent

400g Ground Almonds
150g Self raising flour
150g Castor sugar
2 tablespoons rose water
2 tablespoons Cocoa
Water
Honey
Extra chopped almonds to decorate

Mix together the ground almonds, flour sugar and cocoa. Add the rose water and 
enough water to make a soft mixture. Form into a thick sausage and flatten until
about 2cm thick. Place on a greased baking sheet and bake in a moderate oven. 
Gas Mark 5 (375 F/190 C) for 15 minutes. Remove from oven and brush with honey. 
Sprinkle chopped almonds on top and return to the oven for another 10 minutes. 
When ready take out from oven, and when thoroughly cooled place in an airtight 
tin to keep fresh.  

Easter Cake

Known as FIGOLLA this cake is flat, very sweet (although this depends
on the amount of sugar you use) and is cut in forms of animals, hearts
etc., which are pleasing to children for whom the cakes are intended.
Of course grown-ups are always children at heart and therefor they
will enjoy these cakes too.  

Pastry:
500g Plain Flour
250g Butter or Cake Margarine
750g Castor Sugar
Juice and rind of 1 Lemon
Vanilla essence
2 Eggs - beaten well
Milk

Rub fat well into flour until mixture looks like fine bread crumbs. In a 
separate bowl mix together the eggs, sugar, vanilla essence, and lemon rind. Add
gradually to the flour and butter making sure that they have incorporated well 
before each addition.  Add the juice of lemon and gradually add enough water to 
make a soft dough.  Roll on a lightly floured surface into a ball. Wrap in cling
film and set for at least 2 hours in a refrigerator before using. 

Filling:
200g ground Almonds (Pure or Substitute)
200g Castor Sugar
50g Chopped Almonds
1 Egg White
Water

Mix together the ground almonds, chopped almonds and the sugar. In a separate 
bowl beat the white of egg until stiff then add to the almond mixture together 
with enough water to make a soft paste.  Roll out the pastry on to a floured 
surface until about 5mm thick. Using a pastry cutter cut out each figure twice. 
Put some almond paste onto one of the figures leaving a margin of about 1cm all 
around. Brush this margin with some tinned milk and sandwich the second figure 
onto the first, sealing it with your fingers. Brush with milk and place onto a 
greased baking sheet. Bake in a hot oven at Gas Mark 6 (400 F / 200 C) until 
browned.

When cooled you can decorate with either chocolate or more
traditionally with icing.

Qaghaq tal-ghasel ( Treacle Rings )
Maltese Christmas Dessert  

Pastry 
16 oz (1 Lb) flour 
4 oz butter 
4 oz semolina 
8 oz margarine 
4 oz sugar 
1 egg yolk 
Milk as needed   

Filling 
16 oz (1 Lb) treacle 
2 tablespoons cocoa 
8 oz sugar 
Grated rind of lemon 
Grated rind or orange 
4 cloves (whole) 
3 tablespoons anisette 
2 tablespoons semolina 
1 teaspoon mixed spice 
1/3 Pint water 

Mix the semolina, flour, margarine and sugar. Add the milk and yolk.
Knead the dough well until smooth. Mix the treacle with the
cocoa,sugar,lemon and orange rind, cloves, anisette,spice and water.
Put in a pan and simmer until it thickens. Gradually add the semolina.
Remove from heat and let the mixture cool. Roll out the pastry into
long thin strips, put some of the mixture in the middle, roll pastry
to form long tubes. Form each tube into a ring, cut slits with a sharp
knife and bake until golden brown. 

--
~~Rec.food.recipes is moderated; only recipes and recipe requests are 
accepted for posting.  Please read the FAQ posted weekly Recipes/requests
go to [email-masked]; questions/comments to [email-masked].
Please allow several days for your submission to appear.